body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f0f0f0;
}

header {
    background-color: #333;
    color: white;
    padding: 20px;
    text-align: center;
}

h1 {
    margin: 0;
}

#moviesList {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    padding: 20px;
    max-width: 100%; 
    margin: 0 auto;
}

.movie {
    width: 20%;
    margin: 20px;
    border: 1px solid #ccc;
    background-color: #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease-in-out;
}

.movie:hover {
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    transform: translateY(-5px);
    transition: box-shadow 0.3s ease-in-out, transform 0.5s ease; 
}

.movie img {
    width: 100%;
    height: auto;
}

.movie h3 {
    font-size: 16px;
    text-align: center;
    margin: 10px 0;
}
